class SearchStats:

    def __init__(
        self,
        time_ms,
        visited_cells,
        path_length
    ):
        self.time_ms = time_ms
        self.visited_cells = visited_cells
        self.path_length = path_length

    def __str__(self):

        return (
            f"Time: "
            f"{self.time_ms:.4f} ms | "
            f"Visited: "
            f"{self.visited_cells} | "
            f"Path length: "
            f"{self.path_length}"
        )